<?php defined('MW_PATH') || exit('No direct script access allowed');

/**
 * RemoveApiKeyItemFromMenu Extension
 *
 * @package MailWizz EMA
 * @subpackage RemoveApiKeyItemFromMenu
 * @author Serban George Cristian <cristian.serban@mailwizz.com>
 * @link http://www.mailwizz.com/
 * @copyright 2013-2015 MailWizz EMA (http://www.mailwizz.com)
 * @license http://www.mailwizz.com/license/
 */

class RemoveApiKeyItemFromMenuExt extends ExtensionInit
{
    // name of the extension as shown in the backend panel
    public $name = 'Remove Api Key Item From Menu';

    // description of the extension as shown in backend panel
    public $description = 'Remove Api Key Item From Menu';

    // current version of this extension
    public $version = '1.0';

    // minimum app version
    public $minAppVersion = '1.3.6.2';

    // the author name
    public $author = 'Your name';

    // author website
    public $website = 'http://www.domain.com/';

    // contact email address
    public $email = 'dev@domain.com';

    /**
     * in which apps this extension is allowed to run
     * '*' means all apps
     * available apps: customer, backend, frontend, api, console
     * so you can use any variation,
     * like: array('backend', 'customer'); or array('frontend');
     */
    public $allowedApps = array('customer');

    /**
     * The run method is the entry point of the extension.
     * This method is called by mailwizz at the right time to run the extension.
     */
    public function run()
    {
        // hook into the menu geberation filter
        Yii::app()->hooks->addFilter('customer_left_navigation_menu_items', function($menuItems){
            // unset the given menu item
            unset($menuItems['api-keys']);

            // and return the rest of items
            return $menuItems;
        });
    }
}
